FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202111020903.p0.git.cc1edca.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202111020903.p0.git.cc1edca.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cc1edca OS_GIT_VERSION=4.8.0-202111020903.p0.git.cc1edca.assembly.stream-cc1edca SOURCE_DATE_EPOCH=1621389900 SOURCE_GIT_COMMIT=cc1edca183f4e091802bd7cc561f04643f11c710 SOURCE_GIT_TAG=cc1edca SOURCE_GIT_URL=https://github.com/openshift/sriov-cni 

COPY . /usr/src/sriov-cni

WORKDIR /usr/src/sriov-cni
RUN make clean && \
    make build

FROM openshift/ose-base:v4.8.0.20211102.091449
ENV __doozer=update BUILD_RELEASE=202111020903.p0.git.cc1edca.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202111020903.p0.git.cc1edca.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cc1edca OS_GIT_VERSION=4.8.0-202111020903.p0.git.cc1edca.assembly.stream-cc1edca SOURCE_DATE_EPOCH=1621389900 SOURCE_GIT_COMMIT=cc1edca183f4e091802bd7cc561f04643f11c710 SOURCE_GIT_TAG=cc1edca SOURCE_GIT_URL=https://github.com/openshift/sriov-cni 
COPY --from=builder /usr/src/sriov-cni/build/sriov /usr/bin/
WORKDIR /


COPY ./images/entrypoint.sh /

ENTRYPOINT ["/entrypoint.sh"]

LABEL \
        io.k8s.display-name="SR-IOV CNI" \
        name="openshift/ose-sriov-cni" \
        com.redhat.component="sriov-cni-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202111020903.p0.git.cc1edca.assembly.stream" \
        io.openshift.build.commit.id="cc1edca183f4e091802bd7cc561f04643f11c710" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-cni" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-cni/commit/cc1edca183f4e091802bd7cc561f04643f11c710" \
        version="v4.8.0"

